Planet
navi homePPSaboutscreenshotsdownloaddevelopmentforum

Version 51 (modified by FelixSchulthess, 11 years ago) (diff)

Ubuntu

Platforms

    Error: Page WindowsMinGW does not exist
    Error: Page VisualStudio does not exist
    Error: Page LinuxGentoo does not exist
    Error: Page LinuxDebian does not exist
    Error: Page LinuxUbuntu does not exist
    Error: Page LinuxTardis does not exist

Checked (r1932): 15. Oct. 2008 by Felix? on Ubuntu 8.10 Beta

Unfortunately there is no package available for Orxonox yet. We're eager to release one, though. Until then, you can get a copy of Orxonox' source code and build it on your own. If you experience problems, see this page or contact us.

Dependencies

To install all tools and libraries Orxonox needs, use the following command

user@ubuntu:~> sudo aptitude install build-essential cmake libogre-dev libois-dev libboost-thread-dev libopenal-dev libalut-dev libenet-dev libfreeimage-dev libzzip-dev liblua5.1-0-dev tcl8.4-dev libcegui-mk2-dev libvorbis-dev

Building

Now follow the steps described on the building page.

Development with KDevelop

If you would like to use KDevelop for coding, see this? page for further information.